@echo off
rem update_chkr.cmd
rem Appchkr update, step 1, v. 180509
rem Copyright 2018 Nova Software, www.nova-sw.com

setlocal enableextensions disabledelayedexpansion

if not exist chkr_update_*.zip goto :EOF
rem DEV
if not exist .chkr_base_dir goto :EOF
if [%1]==[force] (
    del /f /q  .ignore_update  1>>update_chkr.log  2>&1
    shift
)
set /p base_dir=<.chkr_base_dir  1>>update_chkr.log  2>&1
prl\bin\perl  chk_updt.pl  .ignore_update  prl\\bin\\perl  msg\updt\u_one_only.txt  "%base_dir%"  2>>update_chkr.log 
if not %ERRORLEVEL%==0 goto :EOF

echo. 1>>update_chkr.log
echo. 1>>update_chkr.log
echo ____START update_chkr.cmd  1>>update_chkr.log
date /t 1>>update_chkr.log
time /t 1>>update_chkr.log

del /f /q  .zxkwjq   1>>update_chkr.log  2>&1

if not exist zip_rel_nbr (
    echo zip_rel_nbr file missing, no update.  1>>update_chkr.log
    prl\bin\perl subvar.pl  msg\updt\u_msg_rel_nbr.txt   2>>update_chkr.log
    pause
    goto END
) 

set /p rel=<zip_rel_nbr  2>>update_chkr.log
echo update zip release is %rel%  1>>update_chkr.log
bin\7z x chkr_update_%rel%.zip -aoa  1>>update_chkr.log  2>&1
if not %ERRORLEVEL%==0 (
    echo Unzip and update failed with code %ERRORLEVEL%  .  1>>update_chkr.log
    prl\bin\perl subvar.pl  msg\updt\u_unzip_err.txt   2>>update_chkr.log
    pause
    goto END
)

:ON
rem error redirect causes failures in the callee  :-(
call update_chkr2.cmd  %1

:END
date /t  1>>update_chkr.log
time /t  1>>update_chkr.log
echo Done   1>>update_chkr.log

